Change document protection

Applies or removes protection from the passed document.
The generated document can be delivered to one or more destinations.

EXAMPLE I: Apply edit restrictions to a Word document in the Conga Revenue Lifecycle Platform.

Request:
        
POST /documents/420326c7-aaa4-4598-a072-48e8cbbe442d/protect
{
    "wordProtectionConfig": {
        "RestrictionType": 3,
        "restrictionPassword": "Your password goes here"
    }
}
        
Response:
{
    "job": {
        "status": 0,
        "errorReason": null,
        "id": "64d30d4a-5c89-4d9f-a5c8-b8453af5c280",
        "createdDate": "2023-07-15T12:41:27.1363101Z",
    },
    "success": true,
    "statusCode": 202,
    "message": "Successfully queued the request"
}
Language
Credentials
Header
Response
Click Try It! to start a request and see the response here!